/**
 * Segment Public API
 * The Segment Public API helps you manage your Segment Workspaces and its resources. You can use the API to perform CRUD (create, read, update, delete) operations at no extra charge. This includes working with resources such as Sources, Destinations, Warehouses, Tracking Plans, and the Segment Destinations and Sources Catalogs.  All CRUD endpoints in the API follow REST conventions and use standard HTTP methods. Different URL endpoints represent different resources in a Workspace.  See the next sections for more information on how to use the Segment Public API.
 *
 * The version of the OpenAPI document: 57.3.0
 * Contact: friends@segment.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import { RequestFile } from './models';
import { MetricBeta } from './metricBeta';

/**
 * Defines the summary of delivery metrics for a Destination.
 */
export class DeliveryMetricsSummaryBeta {
    /**
     * The Source id.  Config API note: analogous to `parent`.
     */
    'sourceId': string;
    /**
     * The Destination metadata id.
     */
    'destinationMetadataId': string;
    /**
     * The summary of event delivery metrics for the requested Destination.
     */
    'metrics': Array<MetricBeta>;

    static discriminator: string | undefined = undefined;

    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }> = [
        {
            name: 'sourceId',
            baseName: 'sourceId',
            type: 'string',
        },
        {
            name: 'destinationMetadataId',
            baseName: 'destinationMetadataId',
            type: 'string',
        },
        {
            name: 'metrics',
            baseName: 'metrics',
            type: 'Array<MetricBeta>',
        },
    ];

    static getAttributeTypeMap() {
        return DeliveryMetricsSummaryBeta.attributeTypeMap;
    }
}
